lp:ubuntu/trusty-proposed/wxwidgets2.8

Created by Ubuntu Package Importer on 2013-10-30 and last modified on 2014-02-25
Get this branch:
bzr branch lp:ubuntu/trusty-proposed/wxwidgets2.8
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

46. By Benjamin Drung on 2014-02-25

Fix compiler warning about an unused local typedef.

45. By Dmitry Shachnev on 2013-11-30

* Merge with Debian unstable (LP: #1253003), remaining changes:
  - Disable bp-menubar-fix.patch.
  - Disable disable_media_python.patch to add wx.media to python-wxgtk2.8.

44. By Fabrice Coutadeur on 2013-10-18

disable disable_media_python.patch to add wx.media to python-wxgtk2.8
(LP: #1224528)

43. By Dmitry Shachnev on 2013-08-23

* Merge from Debian unstable, remaining change:
  - Disable bp-menubar-fix.patch.
* All other changes have been applied in Debian.

42. By Benjamin Drung on 2012-11-16

Disable bp-menubar-fix.patch and drop-appmenu-workaround.patch for now.
These patches fixed the grey stripe covering the Audacity menu with gnome
classic bug #996407, but brought a bigger regression for all wxwidgets
applications. (LP: #662077)

41. By Colin Watson on 2012-09-09

Build-depend on libtiff-dev rather than libtiff4-dev.

40. By Benjamin Drung on 2012-06-02

Drop appmenu workaround. It causes 100% CPU usage when using
appmenu. (LP: #996407)

39. By Benjamin Drung on 2012-06-02

* Merge from Debian unstable. Remaining changes:
  - debian/rules: re-enable mediactrl. This allows libwx_gtk2u_media-2.8 to be
    built, as this is required by some applications (LP: #632984)
  - debian/control:
    - Build-dep on libxt-dev, libgstreamer-plugins-base0.10-dev,
      and libgconf2-dev for mediactrl.
    - Add conflict on python-wxgtk2.8 (<< 2.8.12.1-6ubuntu1~) to
      python-wxversion to guarantee upgrade ordering when moving from
      pycentral to dh_python2.
* Drop fix-bashism-in-example.patch. (LP: #1005609)

38. By Benjamin Drung on 2012-05-27

* Merge from Debian unstable. Remaining changes:
  - debian/rules: re-enable mediactrl. This allows libwx_gtk2u_media-2.8 to be
    built, as this is required by some applications (LP: #632984)
  - debian/control:
    - Build-dep on libxt-dev, libgstreamer-plugins-base0.10-dev,
      and libgconf2-dev for mediactrl.
    - Add conflict on python-wxgtk2.8 (<< 2.8.12.1-6ubuntu1~) to
      python-wxversion to guarantee upgrade ordering when moving from
      pycentral to dh_python2.
  - Patches
    + fix-bashism-in-example.patch
* Backport patch to fix calling SetMenuBar() twice causes the menubar to not
  resize correctly in GTK. (LP: #996407)

37. By Fabrice Coutadeur on 2012-02-12

debian/control: add b-d on libgstreamer-plugins-base0.10-dev and
libgconf2-dev to fully enable mediactrl and build libwx_gtk2u_media-2.8
(LP: #928894)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/utopic/wxwidgets2.8
This branch contains Public information 
Everyone can see this information.

Subscribers